/*
 * TABLESIMPLE.H
 * By Joshua Levy
 * This header routine should only be included in table.c and tablesimple.c! 
 * It must be before the include file for table.h
 */
extern int tb_simple_back() ;
extern int tb_simple_choose() ;
extern int tb_simple_free() ;
extern int tb_simple_print() ;
extern int tb_simple_read() ;
extern int tb_simple_use() ;

typedef struct {
    int first ;
    int last ;
    char *result ;
} simplerow_t ;

typedef struct {
    int type ;
    char *title ;
    char roll[10] ;
    char *source ;
    int numrows ;
    simplerow_t rows[1] ;
} simpletable_t ;


