/*
 * TABLEMULTI.H
 * By Joshua Levy
 *
 * This header routine should only be included in table.c and tablemulti.c! 
 * It must be before the include file for table.h
 */

extern int tb_multi_back() ;
extern int tb_multi_choose() ;
extern int tb_multi_free() ;
extern int tb_multi_print() ;
extern int tb_multi_read() ;
extern int tb_multi_use() ;

typedef struct {
    int first ;
    int last ;
    char *result[1] ;
} multirow_t ;

typedef struct {
    int type ;
    char *title ;
    char roll[10] ;
    char *source ;
    int numrows ;
    int numcols ;
    char **colnames ;
    multirow_t *rows[1] ;
} multitable_t ;


